// File SLBSYS.CPP Self Organizing Broom Balancing System with
//               Turbo Vision interface

#include "slbsetup.cpp"

slb_setup_rec slb_rec;

void handle_system (system_response *control_flag)
  {
   tslbsetapp *Setup_App = new tslbsetapp();
   quit_flag = quit;
   Setup_App->run();
   Setup_App->destroy (Setup_App);
   *control_flag = quit_flag;
   }

int main()
   {
   system_response prog_control = startup;
   initialize_self_org_brm_setup (&slb_rec);
   strcpy (system_name,"Self Org Broom Balancing Network");
   display_startup_message();
   do
   {
   handle_system(&prog_control);
   switch (prog_control) {
   case run_net:
      run_self_org_controller(slb_rec);
      break;
   case train_net:
      self_org_brm_train(slb_rec);
      break;
   }
   } while (prog_control != quit);
   return 0;
   } // end main