// File FFSYS.CPP Feedforward Network System
//               Turbo Vision interface

extern "C" {
   #include "ff.h"
   }

#include "ffsetup.cpp"

void handle_system (system_response *control_flag)
  {
   tffsetapp *Setup_App = new tffsetapp();
   quit_flag = quit;
   Setup_App->run();
   Setup_App->destroy (Setup_App);
   *control_flag = quit_flag;
   }

int main()
   {
   system_response prog_control = startup;
   initialize_ff_setup (&g_ff_setup);
   strcpy (system_name,"Feedforward Network");
   display_startup_message();
   do
   {
   handle_system(&prog_control);
   switch (prog_control) {
   case run_net:
	run_ff_network (g_ff_setup);
	break;
   case train_net:
	train_network_from_data (g_ff_setup,
	     &backpropagation_training);
	break;
	}
   } while (prog_control != quit);
   return 0;
   } // end main