/*  File SA.H    Simulated Annealing Header File  */

#ifndef SA_H
#define SA_H

#include "uttypes.h"

/*  SAPROCS.C  */
void initialize_sa_weights (d_vector weights,float wt_range,int len);

void simulated_annealing (float (*the_obj_fn)(d_vector w),
			       d_vector weights,
			       int no_of_weights,
			       float wt_range,
			       float error_threshold,
			       unsigned long *final_iter,
			       float *opt_obj_value);

#endif